Subject: [spring] An Experiment of SRv6 Service Chaining at Interop Tokyo

From: Ryo Nakamura <[email-masked]>
Date: Thu, 31 Oct 2019 15:01:04 +0100

Dear All,

I'm Ryo Nakamura, a research associate at the University of Tokyo.

We conducted an experimental deployment of SRv6 service chaining with four SRv6-capable nodes, five SRv6 proxy nodes, and six SR-unaware services at Interop Tokyo 2019 ShowNet. It successfully provided network connectivity and services to all the exhibitors (over 200 booths) and visitors (over 155,000) during the period of Interop Tokyo, from June 12 to June 14, 2019.

Through the experiment, we made several observations about service programming with segment routing from both implementation and specification perspectives. A new draft, draft-upa-srv6-service-chaining-exp-00.txt, shares these lessons learned from the experiment:

- Transparency of SRv6 header
- Services that cannot co-exist with End.AM
- Service liveness detection and conditional advertisement of service segments
- TTL Decrement on SRv6 Proxies
- Control Plane Capabilities
- Match Condition for Applying SRv6 Functions

I hope it would help the community.

Sincerely,
Ryo Nakamura

A new version of I-D, draft-upa-srv6-service-chaining-exp-00.txt
has been successfully submitted by Ryo Nakamura and posted to the
IETF repository.

Name:		draft-upa-srv6-service-chaining-exp
Revision:	00
Title:		An Experiment of SRv6 Service Chaining at Interop Tokyo 2019 ShowNet
Document date:	2019-10-30
Group:		Individual Submission
Pages:		10
URL:            https://www.ietf.org/internet-drafts/draft-upa-srv6-service-chaining-exp-00.txt
Status:         https://datatracker.ietf.org/doc/draft-upa-srv6-service-chaining-exp/
Htmlized:       https://tools.ietf.org/html/draft-upa-srv6-service-chaining-exp-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-upa-srv6-service-chaining-exp

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat